Subject: Re: bug#23888: 25.1.50; Info calc -- No such node or anchor: Top

From: Udyant Wig <[email-masked]>
Date: Tue, 5 Jul 2016 10:57:24 +0530

On 07/05/2016 09:43 AM, Udyant Wig wrote:
> 
>   Well, as of this morning, the build system requires an aclocal newer
>   than the one my OS gives me (1.14.)
> 
> cd . && ACLOCAL_PATH='' /bin/bash /home/udyant/build/emacs/build-aux/missing aclocal-1.15 -I m4
> /home/udyant/build/emacs/build-aux/missing: line 81: aclocal-1.15: command not found
> WARNING: 'aclocal-1.15' is missing on your system.
>          You should only need it if you modified 'acinclude.m4' or
>          'configure.ac' or m4 files included by 'configure.ac'.
>          The 'aclocal' program is part of the GNU Automake package:
>          <http://www.gnu.org/software/automake>
>          It also requires GNU Autoconf, GNU m4 and Perl in order to run:
>          <http://www.gnu.org/software/autoconf>
>          <http://www.gnu.org/software/m4/>
>          <http://www.perl.org/>
> Makefile:437: recipe for target 'aclocal.m4' failed
> make: *** [aclocal.m4] Error 127

  After investigating, I ran autoreconf -fiv.  That set the build system
  straight.  Now, though, the calc manual for 25 is not generated at
  all; there is no entry in Info.

  I will capture the relevant bits of the logs from a clean build.

-- 
Udyant Wig